Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web.spi
Interface ServletContainerContext.Registration

Enclosing interface:
  ServletContainerContext

    public static interface ServletContainerContext.Registration

The callback interface that a servlet container context can obtain from its registration against the `org.jboss.portal.web.ServletContainer` singleton.

Method Summary
`void` | `cancel()` Cancel the registration against the servlet container.
`boolean` | `registerWebApp(WebAppContext webAppContext)` Registers a web application.
`boolean` | `unregisterWebApp(java.lang.String contextPath)` Unregister a web application.

Method Detail

### registerWebApp

    boolean registerWebApp(WebAppContext webAppContext)
                           throws java.lang.IllegalStateException,
                                  java.lang.IllegalArgumentException

  Registers a web application.

  Parameters:
    `webAppContext` - the web application context
  Returns:
    true if the registration was done
  Throws:
    `java.lang.IllegalArgumentException` - if the argument is null
    `java.lang.IllegalStateException` - if the registration is cancelled

### unregisterWebApp

    boolean unregisterWebApp(java.lang.String contextPath)
                             throws java.lang.IllegalStateException,
                                    java.lang.IllegalArgumentException

  Unregister a web application.

  Parameters:
    `contextPath` - the web application id
  Returns:
    true if the unregistration was done
  Throws:
    `java.lang.IllegalArgumentException` - if the argument is null
    `java.lang.IllegalStateException` - if the registration is cancelled

### cancel

    void cancel()
                throws java.lang.IllegalStateException

  Cancel the registration against the servlet container.

  Throws:
    `java.lang.IllegalStateException` - if the registration is cancelled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.